List webhook endpoints
curl --request GET \
--url https://api.ryvo.so/v1/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ryvo.so/v1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ryvo.so/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "7f8e9d0c-1b2a-4c3d-8e4f-5a6b7c8d9e0f",
"url": "https://crm.acme.example/hooks/ryvo",
"events": [
"conversation.ended",
"analysis.ready"
],
"is_active": true,
"consecutive_failures": 0,
"auto_disabled_at": "2023-11-07T05:31:56Z",
"auto_disabled_reason": "<string>",
"previous_secret_expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "eyJvIjoyMH0"
}{
"error": "invalid_query",
"message": "limit must be an integer between 1 and 100.",
"request_id": "f0c0a9d2-8b1e-4d8a-9c2f-6e5b7a1d2c3b"
}{
"error": "unauthorized",
"message": "Invalid or revoked API key.",
"request_id": "f0c0a9d2-8b1e-4d8a-9c2f-6e5b7a1d2c3b"
}{
"error": "insufficient_scope",
"message": "This API key does not have the agents:write scope.",
"request_id": "f0c0a9d2-8b1e-4d8a-9c2f-6e5b7a1d2c3b"
}{
"error": "rate_limit_exceeded",
"message": "Rate limit exceeded. Retry in 32s (see the Retry-After header).",
"request_id": "f0c0a9d2-8b1e-4d8a-9c2f-6e5b7a1d2c3b"
}Webhooks
List webhook endpoints
The outbound endpoints of the account, oldest first. Signing secrets are never included.
GET
/
v1
/
webhooks
List webhook endpoints
Autorizaciones
A Bearer token. Create keys in the portal under Settings > API keys
(https://app.ryvo.so/developers). The token has the form
ryvo_live_<64 hex characters> and is shown once.
Header: Authorization: Bearer ryvo_live_...
Parámetros de consulta
Page size, 1 to 100. Default 20.
Rango requerido:
1 <= x <= 100The next_cursor of the previous page. Opaque.
Ejemplo:
"eyJvIjoyMH0"
Respuesta
A page of endpoints.

